| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::SearchViewBottomBar Class Reference
Inheritance diagram for Digikam::SearchViewBottomBar:

## Signals
void | addGroupPressed ()
void | cancelPressed ()
void | okPressed ()
void | resetPressed ()
void | tryoutPressed ()

## Public Member Functions
| SearchViewBottomBar (SearchViewThemedPartsCache *const cache, QWidget *const parent=nullptr)

## Protected Member Functions
void | paintEvent (QPaintEvent *) override

## Protected Attributes
QPushButton * | m_addGroupsButton = nullptr
QDialogButtonBox * | m_buttonBox = nullptr
QHBoxLayout * | m_mainLayout = nullptr
QPushButton * | m_resetButton = nullptr
SearchViewThemedPartsCache * | m_themeCache = nullptr